Check-In booking
PUT
/v1/booking/checkout/bookings/CheckIn/{bookingRootId}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CheckIn/1';const options = {method: 'PUT', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/CheckIn/1 \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bookingRootId
required
integer format: int32
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”cashierName
string
Responses
Section titled “Responses”The updated checkout booking.
Media typeapplication/json
object
bookingNumber
string
start
string format: date-time
end
string format: date-time
guests
integer format: int32
guestsChildren
integer format: int32
message
string
messageInternal
string
status
integer format: byte
contactId
integer format: int64
contactFirstName
string
contactLastName
string
customerId
integer format: int64
customerName
string
bookingRootId
integer format: int64
checkoutPlaceId
string
id
integer format: int64
articleId
integer format: int64
tableArticles
Array<object>
object
start
string format: date-time
end
string format: date-time
articleId
integer format: int64
articleName
string
tableName
string
bookedArticleId
integer format: int64
nonTableArticles
Array<object>
object
start
string format: date-time
articleId
integer format: int64
bookedArticleId
integer format: int64
name
string
quantity
number format: decimal
outPriceIncVat
number format: decimal
vat
number format: decimal
mustBeInvoiced
boolean
Examplegenerated
{ "bookingNumber": "example", "start": "2026-04-15T12:00:00Z", "end": "2026-04-15T12:00:00Z", "guests": 1, "guestsChildren": 1, "message": "example", "messageInternal": "example", "status": 1, "contactId": 1, "contactFirstName": "example", "contactLastName": "example", "customerId": 1, "customerName": "example", "bookingRootId": 1, "checkoutPlaceId": "example", "id": 1, "articleId": 1, "tableArticles": [ { "start": "2026-04-15T12:00:00Z", "end": "2026-04-15T12:00:00Z", "articleId": 1, "articleName": "example", "tableName": "example", "bookedArticleId": 1 } ], "nonTableArticles": [ { "start": "2026-04-15T12:00:00Z", "articleId": 1, "bookedArticleId": 1, "name": "example", "quantity": 1, "outPriceIncVat": 1, "vat": 1 } ], "mustBeInvoiced": true}